#ifndef ATL_INSTINFO_H
   #define ATL_INSTINFO_H

#define ATL_ARCH "ARMa732"
#define ATL_INSTFLAGS "-1 0 -a 1 -l 1"
#define ATL_F2CDEFS "-DAdd_ -DF77_INTEGER=int -DStringSunStyle"
#define ATL_ARCHDEFS "-DATL_OS_Linux -DATL_ARCH_ARMa7 -DATL_GAS_ARM"
#define ATL_DKCFLAGS "-O -fomit-frame-pointer -DATL_ARM_HARDFP=1 -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_DKC "/usr/bin/gcc"
#define ATL_SKCFLAGS "-O2 -fselective-scheduling2 -DATL_ARM_HARDFP=1 -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_SKC "/usr/bin/gcc"
#define ATL_DMCFLAGS "-O2 -mcpu=cortex-a7 -fno-schedule-insns -fselective-scheduling2 -DATL_ARM_HARDFP=1 -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_DMC "/usr/bin/gcc"
#define ATL_SMCFLAGS "-O2 -fselective-scheduling2 -DATL_ARM_HARDFP=1 -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_SMC "/usr/bin/gcc"
#define ATL_ICCFLAGS "-DL2SIZE=4194304 -I/builddir/build/BUILD/ATLAS/arm_base/include -I/builddir/build/BUILD/ATLAS/arm_base/..//include -I/builddir/build/BUILD/ATLAS/arm_base/..//include/contrib -DAdd_ -DF77_INTEGER=int -DStringSunStyle -DATL_OS_Linux -DATL_ARCH_ARMa7 -DATL_GAS_ARM -DWALL -DATL_ARM_HARDFP=1 -DATL_NCPU=2 -O2 -fselective-scheduling2 -DATL_ARM_HARDFP=1 -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_ICC "/usr/bin/gcc"
#define ATL_F77FLAGS "-O2 -DATL_ARM_HARDFP=1 -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_F77 "/usr/bin/gfortran"
#define ATL_DKCVERS "gcc (GCC) 10.0.1 20200126 (Red Hat 10.0.1-0.6)"
#define ATL_SKCVERS "gcc (GCC) 10.0.1 20200126 (Red Hat 10.0.1-0.6)"
#define ATL_DMCVERS "gcc (GCC) 10.0.1 20200126 (Red Hat 10.0.1-0.6)"
#define ATL_SMCVERS "gcc (GCC) 10.0.1 20200126 (Red Hat 10.0.1-0.6)"
#define ATL_ICCVERS "gcc (GCC) 10.0.1 20200126 (Red Hat 10.0.1-0.6)"
#define ATL_F77VERS "GNU Fortran (GCC) 10.0.1 20200126 (Red Hat 10.0.1-0.6)"
#define ATL_SYSINFO "Linux buildvm-armv7-05.arm.fedoraproject.org 5.3.12-300.fc31.armv7hl+lpae #1 SMP Fri Nov 22 05:08:49 UTC 2019 armv7l armv7l armv7l GNU/Linux"
#define ATL_DATE    "Tue Jan 28 08:17:19 UTC 2020"
#define ATL_UNAM    "mockbuild"
#define ATL_VERS    "3.10.3"

#endif
